from .Window import Window, InternalWindow
from .Camera import Camera

__all__ = ["GetMousePosition", "GetMouseGlobalPosition", "SetMousePosition", "SetMouseGlobalPosition",
           "SetMouseVisibility", "SetMouseCursor", "simpleHover", "object2dSimpleHover",
           "MouseMotion", "MouseGlobalMotion", "MouseButton", "MouseScroll", "MouseState", "MouseMovement"]

def MouseState(button) -> bool|list: ...

def GetMousePosition() -> list[int, int]: ...

def GetMouseGlobalPosition() -> list[int, int]: ...

def SetMousePosition(pos: list|tuple): ...

def SetMouseGlobalPosition(pos: list|tuple): ...

def SetMouseVisibility(visibility=True): ...

def SetMouseCursor(cursor): ...

def MouseMovement() -> tuple[int, int]: ...

def MouseMotion(axis, speed): ...

def MouseGlobalMotion(axis, speed): ...

def MouseButton(button=1, multiple_click=False) -> bool: ...

def MouseScroll() -> int: ...

def simpleHover(window: Window|InternalWindow, location, size) -> bool: ...

def object2dSimpleHover(window: Window|InternalWindow, camera:Camera|None, location, size, scale, pivot) -> bool: ...
